org.apache.synapse.commons.datasource

## Class DataSourceInformation

- java.lang.Object
- - org.apache.synapse.commons.datasource.DataSourceInformation

-     public class DataSourceInformation
      extends Object

  Encapsulates the All information related to a DataSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BASIC_DATA_SOURCE`
    `static String` | `PER_USER_POOL_DATA_SOURCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(String name, Object value)`
    `void` | `addProperty(String name, String value)`
    `String` | `getAlias()`
    `Map<String,Object>` | `getAllParameters()`
    `String` | `getDatasourceName()`
    `String` | `getDefaultCatalog()`
    `int` | `getDefaultTransactionIsolation()`
    `String` | `getDriver()`
    `int` | `getInitialSize()`
    `int` | `getMaxActive()`
    `int` | `getMaxIdle()`
    `int` | `getMaxOpenPreparedStatements()`
    `long` | `getMaxWait()`
    `long` | `getMinEvictableIdleTimeMillis()`
    `int` | `getMinIdle()`
    `int` | `getNumTestsPerEvictionRun()`
    `Object` | `getParameter(String name)`
    `Properties` | `getProperties()`
    `long` | `getRemoveAbandonedTimeout()`
    `String` | `getRepositoryType()`
    `org.wso2.securevault.secret.SecretInformation` | `getSecretInformation()`
    `long` | `getTimeBetweenEvictionRunsMillis()`
    `String` | `getType()`
    `String` | `getUrl()`
    `String` | `getValidationQuery()`
    `boolean` | `isAccessToUnderlyingConnectionAllowed()`
    `boolean` | `isDefaultAutoCommit()`
    `boolean` | `isDefaultReadOnly()`
    `boolean` | `isLogAbandoned()`
    `boolean` | `isPoolPreparedStatements()`
    `boolean` | `isRemoveAbandoned()`
    `boolean` | `isTestOnBorrow()`
    `boolean` | `isTestOnReturn()`
    `boolean` | `isTestWhileIdle()`
    `void` | `setAccessToUnderlyingConnectionAllowed(boolean accessToUnderlyingConnectionAllowed)`
    `void` | `setAlias(String alias)`
    `void` | `setDatasourceName(String datasourceName)`
    `void` | `setDefaultAutoCommit(boolean defaultAutoCommit)`
    `void` | `setDefaultCatalog(String defaultCatalog)`
    `void` | `setDefaultReadOnly(boolean defaultReadOnly)`
    `void` | `setDefaultTransactionIsolation(int defaultTransactionIsolation)`
    `void` | `setDriver(String driver)`
    `void` | `setInitialSize(int initialSize)`
    `void` | `setLogAbandoned(boolean logAbandoned)`
    `void` | `setMaxActive(int maxActive)`
    `void` | `setMaxIdle(int maxIdle)`
    `void` | `setMaxOpenPreparedStatements(int maxOpenPreparedStatements)`
    `void` | `setMaxWait(long maxWait)`
    `void` | `setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)`
    `void` | `setMinIdle(int minIdle)`
    `void` | `setNumTestsPerEvictionRun(int numTestsPerEvictionRun)`
    `void` | `setPoolPreparedStatements(boolean poolPreparedStatements)`
    `void` | `setProperties(Properties properties)`
    `void` | `setRemoveAbandoned(boolean removeAbandoned)`
    `void` | `setRemoveAbandonedTimeout(long removeAbandonedTimeout)`
    `void` | `setRepositoryType(String repositoryType)`
    `void` | `setSecretInformation(org.wso2.securevault.secret.SecretInformation secretInformation)`
    `void` | `setTestOnBorrow(boolean testOnBorrow)`
    `void` | `setTestOnReturn(boolean testOnReturn)`
    `void` | `setTestWhileIdle(boolean testWhileIdle)`
    `void` | `setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)`
    `void` | `setType(String type)`
    `void` | `setUrl(String url)`
    `void` | `setValidationQuery(String validationQuery)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BASIC_DATA_SOURCE

          public static final String BASIC_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### PER_USER_POOL_DATA_SOURCE

          public static final String PER_USER_POOL_DATA_SOURCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DataSourceInformation

          public DataSourceInformation()

  - ### Method Detail

    - #### getSecretInformation

          public org.wso2.securevault.secret.SecretInformation getSecretInformation()

    - #### setSecretInformation

          public void setSecretInformation(org.wso2.securevault.secret.SecretInformation secretInformation)

    - #### getDatasourceName

          public String getDatasourceName()

    - #### setDatasourceName

          public void setDatasourceName(String datasourceName)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getMinIdle

          public int getMinIdle()

    - #### setMinIdle

          public void setMinIdle(int minIdle)

    - #### getDefaultTransactionIsolation

          public int getDefaultTransactionIsolation()

    - #### setDefaultTransactionIsolation

          public void setDefaultTransactionIsolation(int defaultTransactionIsolation)

    - #### getDefaultCatalog

          public String getDefaultCatalog()

    - #### setDefaultCatalog

          public void setDefaultCatalog(String defaultCatalog)

    - #### isAccessToUnderlyingConnectionAllowed

          public boolean isAccessToUnderlyingConnectionAllowed()

    - #### setAccessToUnderlyingConnectionAllowed

          public void setAccessToUnderlyingConnectionAllowed(boolean accessToUnderlyingConnectionAllowed)

    - #### isRemoveAbandoned

          public boolean isRemoveAbandoned()

    - #### setRemoveAbandoned

          public void setRemoveAbandoned(boolean removeAbandoned)

    - #### getRemoveAbandonedTimeout

          public long getRemoveAbandonedTimeout()

    - #### setRemoveAbandonedTimeout

          public void setRemoveAbandonedTimeout(long removeAbandonedTimeout)

    - #### isLogAbandoned

          public boolean isLogAbandoned()

    - #### setLogAbandoned

          public void setLogAbandoned(boolean logAbandoned)

    - #### isPoolPreparedStatements

          public boolean isPoolPreparedStatements()

    - #### setPoolPreparedStatements

          public void setPoolPreparedStatements(boolean poolPreparedStatements)

    - #### getMaxOpenPreparedStatements

          public int getMaxOpenPreparedStatements()

    - #### setMaxOpenPreparedStatements

          public void setMaxOpenPreparedStatements(int maxOpenPreparedStatements)

    - #### getMaxActive

          public int getMaxActive()

    - #### setMaxActive

          public void setMaxActive(int maxActive)

    - #### getMaxIdle

          public int getMaxIdle()

    - #### setMaxIdle

          public void setMaxIdle(int maxIdle)

    - #### getMaxWait

          public long getMaxWait()

    - #### setMaxWait

          public void setMaxWait(long maxWait)

    - #### getDriver

          public String getDriver()

    - #### setDriver

          public void setDriver(String driver)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl(String url)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### addParameter

          public void addParameter(String name,
                                   Object value)

    - #### getParameter

          public Object getParameter(String name)

    - #### isDefaultAutoCommit

          public boolean isDefaultAutoCommit()

    - #### setDefaultAutoCommit

          public void setDefaultAutoCommit(boolean defaultAutoCommit)

    - #### isDefaultReadOnly

          public boolean isDefaultReadOnly()

    - #### setDefaultReadOnly

          public void setDefaultReadOnly(boolean defaultReadOnly)

    - #### isTestOnBorrow

          public boolean isTestOnBorrow()

    - #### setTestOnBorrow

          public void setTestOnBorrow(boolean testOnBorrow)

    - #### isTestOnReturn

          public boolean isTestOnReturn()

    - #### setTestOnReturn

          public void setTestOnReturn(boolean testOnReturn)

    - #### getTimeBetweenEvictionRunsMillis

          public long getTimeBetweenEvictionRunsMillis()

    - #### setTimeBetweenEvictionRunsMillis

          public void setTimeBetweenEvictionRunsMillis(long timeBetweenEvictionRunsMillis)

    - #### getNumTestsPerEvictionRun

          public int getNumTestsPerEvictionRun()

    - #### setNumTestsPerEvictionRun

          public void setNumTestsPerEvictionRun(int numTestsPerEvictionRun)

    - #### getMinEvictableIdleTimeMillis

          public long getMinEvictableIdleTimeMillis()

    - #### setMinEvictableIdleTimeMillis

          public void setMinEvictableIdleTimeMillis(long minEvictableIdleTimeMillis)

    - #### isTestWhileIdle

          public boolean isTestWhileIdle()

    - #### setTestWhileIdle

          public void setTestWhileIdle(boolean testWhileIdle)

    - #### getValidationQuery

          public String getValidationQuery()

    - #### setValidationQuery

          public void setValidationQuery(String validationQuery)

    - #### getInitialSize

          public int getInitialSize()

    - #### setInitialSize

          public void setInitialSize(int initialSize)

    - #### getProperties

          public Properties getProperties()

    - #### setProperties

          public void setProperties(Properties properties)

    - #### addProperty

          public void addProperty(String name,
                                  String value)

    - #### getRepositoryType

          public String getRepositoryType()

    - #### setRepositoryType

          public void setRepositoryType(String repositoryType)

    - #### getAllParameters

          public Map<String,Object> getAllParameters()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.